Skip to main content
GET
/
v1
/
posts
Get all posts
curl --request GET \
  --url https://api.yalg.ai/v1/posts \
  --header 'x-api-key: <api-key>'
{
  "posts": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "content": "Post content...",
      "author": {
        "id": "987fcdeb-51a2-43d7-8f9e-123456789abc",
        "name": "John Doe",
        "email": "john@example.com"
      },
      "anecdote": null,
      "tags": [
        "technology"
      ],
      "likesCount": 5,
      "commentsCount": 2,
      "sharesCount": 1,
      "isActive": true,
      "createdAt": "2024-01-15T10:30:00Z"
    }
  ],
  "total": 25,
  "page": 1,
  "totalPages": 3
}

Authorizations

x-api-key
string
header
default:yalg_live_your_api_key
required

YALG Developer API key. Send it in the x-api-key header from a server-side environment only.

Query Parameters

page
number

Page number (default: 1)

Example:

1

limit
number

Number of posts per page (default: 10)

Example:

10

status
enum<string>

Filter posts by status

Available options:
drafted,
scheduled,
published,
failed
Example:

"draft"

sortBy
enum<string>

Field to sort by (default: createdAt)

Available options:
createdAt,
updatedAt,
scheduledAt,
publishedAt
Example:

"example"

sortOrder
enum<string>

Sort order (default: DESC)

Available options:
ASC,
DESC
Example:

"example"

Response

Posts retrieved successfully